qmf::engine::Query Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
qmf::engine::Query Class Reference

`#include <qmf/engine/Query.h>`

List of all members.

## Public Member Functions
| Query (const char *className, const char *packageName)
| Query (const SchemaClassKey *key)
| Query (const ObjectId *oid)
| Query (const Query &from)
| ~Query ()
void | setSelect (const QueryOperand *criterion)
void | setLimit (uint32_t maxResults)
void | setOrderBy (const char *attrName, bool decreasing)
const char * | getPackage () const
const char * | getClass () const
const ObjectId * | getObjectId () const
bool | haveSelect () const
bool | haveLimit () const
bool | haveOrderBy () const
const QueryOperand * | getSelect () const
uint32_t | getLimit () const
const char * | getOrderBy () const
bool | getDecreasing () const

## Constructor & Destructor Documentation

qmf::engine::Query::Query | ( | const char * | className,
|  | const char * | packageName
| ) |  |

qmf::engine::Query::Query | ( | const SchemaClassKey * | key | ) |

qmf::engine::Query::Query | ( | const ObjectId * | oid | ) |

qmf::engine::Query::Query | ( | const Query & | from | ) |

qmf::engine::Query::~Query | ( |  | ) |

## Member Function Documentation

const char* qmf::engine::Query::getClass | ( |  | ) | const

bool qmf::engine::Query::getDecreasing | ( |  | ) | const

uint32_t qmf::engine::Query::getLimit | ( |  | ) | const

const ObjectId* qmf::engine::Query::getObjectId | ( |  | ) | const

const char* qmf::engine::Query::getOrderBy | ( |  | ) | const

const char* qmf::engine::Query::getPackage | ( |  | ) | const

const QueryOperand* qmf::engine::Query::getSelect | ( |  | ) | const

bool qmf::engine::Query::haveLimit | ( |  | ) | const

bool qmf::engine::Query::haveOrderBy | ( |  | ) | const

bool qmf::engine::Query::haveSelect | ( |  | ) | const

void qmf::engine::Query::setLimit | ( | uint32_t | maxResults | ) |

void qmf::engine::Query::setOrderBy | ( | const char * | attrName,
|  | bool | decreasing
| ) |  |

void qmf::engine::Query::setSelect | ( | const QueryOperand * | criterion | ) |

The documentation for this class was generated from the following file:

- qmf/engine/Query.h